Bug 1289684 - Can not update content overrides with Hammer due to label mismatch
Can not update content overrides with Hammer due to label mismatch
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.4
All Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 12:48 EST by Stephen Clayton
Modified: 2017-01-11 16:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 16:47:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Clayton 2015-12-08 12:48:56 EST
Description of problem:

Hammer is not matching product content labels properly, when trying to override content available through an activation key

Version-Release number of selected component (if applicable):

0.1.4.13 (from hammer -v)

How reproducible:

Consistent

Steps to Reproduce:
1. hammer activation-key product-content --organization "ORGANIZATION_NAME" --id ACTIVATION_KEY_ID
2. Use the content label that appears under LABEL for the next step
3. hammer activation-key content-override --content-label rhel-7-server-satellite-tools-6.1-rpms --name ACTIVATION_KEY_NAME --organization "ORGANIZATION_NAME" --value 1


Actual results:

# hammer activation-key product-content --organization "ORGANIZATION_NAME" --id 2
-----|-------------------------------------------------------------------------|------|-----|---------|---------------------------------------
ID   | NAME                                                                    | TYPE | URL | GPG KEY | LABEL
-----|-------------------------------------------------------------------------|------|-----|---------|---------------------------------------
3030 | Red Hat Enterprise Linux 7 Server - Extras (RPMs)                       |      |     |         | rhel-7-server-extras-rpms
4188 | Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (RPMs)                  |      |     |         | rhel-7-server-satellite-tools-6.1-rpms
2456 | Red Hat Enterprise Linux 7 Server (RPMs)                                |      |     |         | rhel-7-server-rpms
2808 | Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server |      |     |         | rhel-server-rhscl-7-rpms
-----|-------------------------------------------------------------------------|------|-----|---------|---------------------------------------
 
# hammer activation-key content-override --content-label rhel-7-server-satellite-tools-6.1-rpms --name ACTIVATION_KEY_NAME --organization "ORGANIZATION_NAME" --value 1
Could not update content override:
  Invalid content label: rhel-7-server-satellite-tools-6.1-rpms

Expected results:

Hammer should update the key so that this content is available.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:09:01 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-01-11 16:47:29 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.